Bug 1837451 - golang http clients break on goaway
Summary: golang http clients break on goaway
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: David Eads
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-19 13:30 UTC by David Eads
Modified: 2020-07-13 17:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:40:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 860 0 None closed bug 1837451: prevent goaway chance in kubeapiserver to avoid tripping up golang clients 2020-08-18 14:15:22 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:40:18 UTC

Description David Eads 2020-05-19 13:30:27 UTC
https://github.com/golang/go/issues/39086

We should remove our filter.

Comment 3 Ke Wang 2020-05-25 09:40:56 UTC
Verified with OCP 4.5.0-0.nightly-2020-05-24-223848,  steps see below,

$ configyaml=$(oc get configmaps/config  -n openshift-kube-apiserver -o json | jq .data.'"config.yaml"')

$ echo $configyaml | sed 's/^\"*//;s/\"*$//' | xargs echo | jq . | grep -C3 goaway
      "SCTPSupport=true",
      "LegacyNodeRoleBehavior=false"
    ],
    "goaway-chance": [
      "0"
    ],
    "http2-max-streams-per-connection": [

Comment 4 errata-xmlrpc 2020-07-13 17:40:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.